unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    TreeView1: TTreeView;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure TreeView1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
var
  Nodes : TTreeNodes;
  Node : TTreeNode;
procedure TForm1.FormCreate(Sender: TObject);
begin
 Nodes := TTreeNodes.Create (TreeView1);
 Node := TTreeNode.Create (Nodes);
 Node := nil;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  NewNode : TTreeNode;
  i : Integer;
begin
  NewNode := TTreeNode.Create(Nodes);
  i := Nodes.Count;
  NewNode := Nodes.AddNode (NewNode, Node, ' '+
  IntToStr(i), nil, naAdd);
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  NewNode : TTreeNode;
begin
  NewNode := TTreeNode.Create(Nodes);
  NewNode := Nodes.AddNode (NewNode, Node, ' '+
  IntToStr (TreeView1.Items.Count), nil, naAddChild);
end;

procedure TForm1.TreeView1Click(Sender: TObject);
begin
  Node := TreeView1.Selected;
  Label1.Caption := Node.Text;
end;

end.
